## libgail-gnome 1.20.3

=== debian/changelog ===
libgail-gnome (1.20.3-1) unstable; urgency=low

  * New upstream release.
  * Use --disable-schemas-install.
  * Call dh_gconf to install the GConf schema for the g-s-d module.
  * Install it in libgail-gnome-module.
  * Switch to 3.0 source format; drop quilt build-dependency.
  * 90_relibtoolize.patch: updated for the new version.
  * 99_ltmain_as-needed.patch: refreshed.

 -- Josselin Mouette <joss@debian.org>  Wed, 08 Sep 2010 20:09:29 +0200

libgail-gnome (1.20.2-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/90_relibtoolize.patch:
      - Regenerated for the new version.
  * debian/control.in:
    + Update Standards-Version to 3.8.4.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Apr 2010 07:07:35 +0200

libgail-gnome (1.20.1-2) unstable; urgency=low

  [ Josselin Mouette ]
  * libgail-gnome-module depends on libgail-common. Closes: #537151.

  [ Emilio Pozuelo Monfort ]
  * Move the debug package to section debug.
  * Standards-Version is 3.8.3, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 30 Aug 2009 23:22:09 +0200

libgail-gnome (1.20.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Link with -Wl,-Bsymbolic to avoid encountering bugs similar to the 
    one fixed upstream.
  * Also pass -Wl,-O1 -Wl,-z,defs -Wl,--as-needed.
  * 90_relibtoolize.patch: relibtoolize to avoid the amd64 rpath issue.
  * 99_ltmain_as-needed.patch: make --as-needed work.
  * Standards version is 3.8.0.
  * Don’t call dh_makeshlibs.

 -- Josselin Mouette <joss@debian.org>  Fri, 21 Nov 2008 19:46:18 +0100

libgail-gnome (1.20.0-1) unstable; urgency=low

  [ Loic Minier ]
  * Fix description of the -dbg package.

  [ Sebastian Dröge ]
  * New upstream release.
  * debian/control.in:
    + Use ${binary:Version} instead of ${Source-Version} to make lintian happy.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 Sep 2007 08:42:38 +0200

libgail-gnome (1.18.0-2) unstable; urgency=medium

  * Honor CFLAGS we set in rules, doh!
  * Set some sane default CFLAGS and honor noopt in DEB_BUILD_OPTIONS.

 -- Loic Minier <lool@dooz.org>  Thu, 12 Apr 2007 15:29:02 +0200

libgail-gnome (1.18.0-1) unstable; urgency=low

  * Set Maintainer to the Debian GNOME Maintainers.
  * Add a get-orig-source target to retrieve the upstream tarball.
  * Drop useless INSTALL_PROGRAM: this is handled by dh_strip.
  * Drop generated debian/docs from SVN.
  * Use full URL and HTTP in copyright.
  * Cleanups in rules.
  * New upstream release.
    - Rewrite the build system completely; switch from tar-in-tar and
      sys-build to regular source and quilt patching; build-depend on quilt.
    - Include the new uploaders.mk from gnome-pkg-tools instead of duplicating
      its logic; build-dep on gnome-pkg-tools >= 0.11.
    - Run "make check" test suite except if DEB_BUILD_OPTIONS contains the
      "nocheck" keyword; ignore failures.
    - Generate debian/%.in in a global rule.
  * Wrap build-deps and deps.

 -- Loic Minier <lool@dooz.org>  Wed, 11 Apr 2007 19:23:25 +0200

libgail-gnome (1.1.3-3) unstable; urgency=low

  * Swith Section of libgail-gnome-dbg and libgail-gnome-dev to libdevel
    instead of devel and sync with overrides.
  * Update watch file.
  * Stop shipping *.la, *.so, and *.a files in libgail-gnome-dev as they were
    none...
  * Drop useless debian/*.dirs.
  * Set Debhelper compatibility level to 5.
  * Bump up Standards-Version to 3.7.2.
  * Add ${misc:Depends}.
  * Convert dh_movefiles to dh_install and install in debian/tmp via DESTDIR=;
    misc cleanups permitted by this change.
  * Stop shipping *.la files in libgail-gnome-module, thanks Jiri Palecek.
    (Closes: #381328)
  * Drop useless dh_makeshlibs calls.
  * Use dh_strip's new --dbg-package flag instead of handling debug files via
    cp.

 -- Loic Minier <lool@dooz.org>  Thu,  3 Aug 2006 22:00:34 +0200

libgail-gnome (1.1.3-2) unstable; urgency=low

  * Cleanup upstream version computation and handle binNMUs version numbers
    correctly. (Closes: #359893)
    [debian/rules]

 -- Loic Minier <lool@dooz.org>  Wed, 29 Mar 2006 16:20:27 +0200

libgail-gnome (1.1.3-1) unstable; urgency=low

  * New upstream release.
    - Relibtoolize.
      [debian/patches/000_libgail-gnome-debian-libtool.patch]
    - Update TAR_DIR and sources.
      [debian/sources, debian/scripts/vars]

 -- Loic Minier <lool@dooz.org>  Sun, 12 Feb 2006 20:17:51 +0100

libgail-gnome (1.1.2.ds-1) unstable; urgency=low

  * Repack the tarball for DBS (got to love that build system) and cover
    myself with reproach and ignominy.
    - Use a ."Debian Source" version number to put a new .orig.tar.gz in the
      archive. (Closes: #340204)
    - Update upstream tarball name accordingly.
      [debian/sources, debian/scripts/vars]
  * Revert .svn filter changes and update the dbs copy to version 0.36.
    [debian/scripts/Makefile, debian/scripts/lib,
     debian/scripts/source.unpack, debian/sys-build.mk]
  * Drop obsolete getglibcversion script.
    [debian/scripts/getglibcversion]
  * Use -wholename */.* instead of -name .* in dbs find args.
    [debian/scripts/lib]

 -- Loic Minier <lool@dooz.org>  Wed, 23 Nov 2005 15:02:08 +0100

libgail-gnome (1.1.2-1) unstable; urgency=low

  * New upstream release.
    - Update TAR_DIR.
      [debian/scripts/vars]
    - Update sources file.
      [debian/sources]
    - Update "relibtoolizing" patch.
      [debian/patches/000_libgail-gnome-debian-libtool.patch]
  * Clarify Copyright versus License.
    [debian/copyright]
  * Actually ship license information.
    [debian/copyright]
  * GNOME Team uploads.
    [debian/rules, debian/control, debian/control.in]
  * Fix quoting of unfix.source.patch:START and FAILED messages.
    [debian/scripts/messages]
  * Update watch file for 1.1 series.
    [debian/watch]
  * Fix "fakeroot debian/rules clean" by following find calls with a .svn
    filter.
    [debian/scripts/lib]

