=== debian/control ===
Source: libgail-gnome
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Loic Minier <lool@dooz.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 5),
               libatk1.0-dev (>= 1.2.0),
               libgtk2.0-dev (>= 2.0.6-3),
               libbonobo2-dev (>= 2.0.0),
               libbonoboui2-dev (>= 2.0.1),
               libgnomeui-dev (>= 2.0.3),
               libgail-dev (>= 1.2.0),
               libatspi-dev (>= 1.1.8),
               pkg-config,
               zlib1g-dev,
               autotools-dev,
               libpanel-applet2-dev,
               gnome-pkg-tools (>= 0.11)
Standards-Version: 3.8.4

Package: libgail-gnome-module
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgail-common (>= 1.2.0)
Conflicts: libgail-gnome0 (<< 1.0.2)
Replaces: libgail-gnome0 (<< 1.0.2)
Description: GNOME Accessibility Implementation Module for GnomeUI/BonoboUI
 This module is GNOME Accessibility Implementation Library additions which
 implement ATK interfaces for libbonoboui and libgnomeui widgets.
 .
 This package contains the GTK+ module.

Package: libgail-gnome-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libgail-gnome-module (= ${binary:Version}),
         libatk1.0-dev,
         libgtk2.0-dev (>= 2.2.0),
         libbonoboui2-dev,
         libgail-dev (>= 1.2.0),
         pkg-config
Description: Development files of libgail-gnome
 This module is GNOME Accessibility Implementation Library additions which
 implement ATK interfaces for libbonoboui and libgnomeui widgets.
 .
 This package contains the development files for libgail-gnome.

Package: libgail-gnome-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends},
         libgail-gnome-module (= ${binary:Version})
Description: libgail-gnome library and debugging symbols
 This library is GNOME Accessibility Implementation Library additions which
 implement ATK interfaces for libbonoboui and libgnomeui widgets.
 .
 This package contains detached debugging symbols.
 .
 Most people will not need this package.
