=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/libgail-gnome/([\d\.]+)/ \
	libgail-gnome-(.*)\.tar\.gz \
	debian uupdate
